be.cin.mycarenet.esb.common.v2

## Class RecordCommonOutputType

- java.lang.Object
- - be.cin.mycarenet.esb.common.v2.RecordCommonOutputType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T03:08:40+02:00",
                 comments="JAXB RI v2.3.7")
      public class RecordCommonOutputType
      extends Object
      implements Serializable

  Java class for RecordCommonOutputType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RecordCommonOutputType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="InputReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="OutputReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordCommonOutputType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInputReference()` Gets the value of the inputReference property.
    `String` | `getOutputReference()` Gets the value of the outputReference property.
    `void` | `setInputReference(String value)` Sets the value of the inputReference property.
    `void` | `setOutputReference(String value)` Sets the value of the outputReference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecordCommonOutputType

          public RecordCommonOutputType()

  - ### Method Detail

    - #### getInputReference

          public String getInputReference()

      Gets the value of the inputReference property.
      Returns:
        possible object is `String`

    - #### setInputReference

          public void setInputReference(String value)

      Sets the value of the inputReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOutputReference

          public String getOutputReference()

      Gets the value of the outputReference property.
      Returns:
        possible object is `String`

    - #### setOutputReference

          public void setOutputReference(String value)

      Sets the value of the outputReference property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPRACTICALNURSE 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.